<?php

/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
  
  Freeway eCommerce from ZacWare
http://www.zac-ware.com/freeway

Copyright 2007 ZacWare Pty. Ltd 
*/
// Set flag that this is a parent file
	define( '_FEXEC', 1 );
	  require('includes/application_top.php'); 
	  tep_get_last_access_file();
	  require('includes/classes/currencies.php');
	  require(DIR_WS_CLASSES . 'split_page_results_report.php');
	  define(BOX_WIDTH1,'125');
	  $server_date = getServerDate(true);
		// get initial parameters, first check session for previous settings
		if (isset($HTTP_GET_VARS["return"]) && isset($HTTP_SESSION_VARS["rep_params"])){
			$input_params=&$HTTP_SESSION_VARS["rep_params"];
		} else {
			$input_params=&$HTTP_POST_VARS;
			if (isset($input_params["post_action"])){
				if ($input_params["post_action"]!="change_status"){
					tep_set_session_value("rep_params",$HTTP_POST_VARS);
					$GLOBALS["rep_params"]["post_action"]="screen";
				}
			} else {
				tep_set_session_value("rep_params",array());
			}
		}
		$date_begin=isset($input_params['txt_start_date'])?tep_convert_date_raw($input_params['txt_start_date']):'';
		$date_end=isset($input_params['txt_end_date'])?tep_convert_date_raw($input_params['txt_end_date']):'';
		$sel_status=isset($input_params['sel_status'])?$input_params['sel_status']:1;
		$post_action = isset($input_params['post_action'])?$input_params['post_action']:'';
		$page = isset($input_params['page'])?$input_params['page']:1;
		$currencies=new currencies();
		// change the current status of selected orders
		if ($post_action=="change_status"){
			$stat_ids=$input_params["chk_status"];
			$new_status=$input_params["new_status"];
			$order_ids="";
		//	echo sizeof($stat_ids);
			for ($icnt=0;$icnt<sizeof($stat_ids);$icnt++){
				tep_send_products_status_change_email($stat_ids[$icnt],$new_status);
				$order_ids.=$stat_ids[$icnt] . ",";
			}
			if ($order_ids!=""){
				$order_ids=substr($order_ids,0,-1);
				
				tep_db_query("UPDATE " . TABLE_ORDERS . " set last_modified='" . $server_date . "',orders_status='" . $new_status . "' where orders_id in(" . $order_ids . ")");
				tep_db_query("update " . TABLE_ORDERS_PRODUCTS . " set orders_products_status='" . $new_status . "' where orders_id in(" . $order_ids . ")");
				tep_redirect(tep_href_link(FILENAME_REPORTS_DIRECT_DEPOSIT,'return=1'));
		/*		echo tep_draw_form("frmSearch",FILENAME_REPORTS_DIRECT_DEPOSIT);
				echo '<input type="hidden" name="post_action" value="screen">';
				echo tep_get_report_params();
				echo '<script language="javascript">' .
					'document.frmSearch.submit();' .
					'</script></form>';
				return; */
			}
		}

		if ($post_action==""){
			$post_action="screen";
		}
		if ($date_begin==""){
			$date_begin=getServerDate();
		}
		if ($date_end==""){
			$sql =  "select date_add('$date_begin', interval 1 month) end";	
			$sql_result = tep_db_query($sql);
			$row = mysql_fetch_assoc($sql_result);
			$date_end = $row["end"];	
		}
		$status_where="";
		if($sel_status!="" && $sel_status!=-1)
			$status_where= " and o.orders_status='" . $sel_status . "' ";

		$order_status_array=array();
		$status_array=array();
		// get the mysql results;
		$sql="SELECT orders_status_id,orders_status_name from " . TABLE_ORDERS_STATUS . " where  language_id='" . $languages_id . "' and lower(orders_status_name)!='refunded'";
		$sql_result=tep_db_query($sql);
		$sel_status_array[0] = array('id'=>-1,'text'=>TEXT_ALL);
		while($row=tep_db_fetch_array($sql_result)){
			$order_status_array[$row["orders_status_id"]]=$row["orders_status_name"];
			if($row['orders_status_id']!=4) {
				$sel_status_array[]=array('id'=>$row["orders_status_id"],'text'=>$row["orders_status_name"]);
				$status_array[]=array('id'=>$row["orders_status_id"],'text'=>$row["orders_status_name"]);
			}	
		}
	
		$found_results=false;
		$where = " ";
		$where.=" and ((date_format(o.date_purchased,'%Y-%m-%d')>='" . $date_begin . "'" . " and date_format(o.date_purchased,'%Y-%m-%d')<='" . $date_end . "'))";
		$db_result=array();
		$num_rows=0;
		$cur_row=0;
		$rows_each=REPORT_MAX_ROWS_PAGE;
	
		$sql="Select o.orders_id, concat(LTRIM(c.customers_lastname), ' ',LTRIM(c.customers_firstname)) as customers_name, o.customers_id, 
		orders_status, sum(op.final_price) as final_price, op.products_tax from " . TABLE_ORDERS_PRODUCTS . " op, " . TABLE_ORDERS . " o, " . TABLE_CUSTOMERS . " c 
		where o.customers_id=c.customers_id and op.orders_id=o.orders_id  and o.payment_method like '%Bank Transfer Payment%'  " . $where . $status_where . " group by o.orders_id order by customers_name " ;
				
		if ($post_action=="screen"){
			$query_split1 = new splitPageResultsReport($page, $rows_each, $sql, $query_split_numrows1);
		}
		$db_result[$cur_row]=array("result"=>tep_db_query($sql));
		$num_rows=tep_db_num_rows($db_result[$cur_row]["result"]);
		$cur_row++;
		if ($num_rows>0) {
			$found_results=true;
			if ($post_action=="screen"){
				if ($query_split_numrows1>=$query_split_numrows2){
					$query_split=&$query_split1;
				} else {
					$query_split=&$query_split2;
				}
				$query_split_numrows=$query_split_numrows1+$query_split_numrows2;
			}
		}
		
?>

<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script language="JavaScript" src="includes/date-picker.js"></script>
<script language="javascript">
//	function showOrderDetails(id){
//		location.href="orders.php?action=edit&oID="+id;
//	}
	function doReport(mode) {
		strStart = document.f.txt_start_date.value.split("-");
		startDate = new Date(strStart[0], strStart[1], strStart[2]);
	
		strEnd = document.f.txt_end_date.value.split("-");
		endDate = new Date(strEnd[0], strEnd[1], strEnd[2]);
	
		if(startDate.getTime()>endDate.getTime()) {
			alert("<?php echo REPORT_START_AFTER_END?>");
			return;
		}
		document.f.submit();
	}
</script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<div id="spiffycalendar" class="text"></div>
	<!-- header //-->
	<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
	<!-- header_eof //-->
	<!-- body //-->
	<table border="0" width="100%" cellspacing="2" cellpadding="2">
	<tr> 
		<!-- body_text //-->	  
		<td width=100% align=left valign="top">
		<table border="0" width="100%" cellspacing="0" cellpadding="2">
			<tr height="10">
				<!--<td class="pageHeading"><?php //echo HEADING_REPORT_DIRECT_DEPOSIT;?></td>!-->
			</tr>
			<tr >
				<TD>
				<?php 	echo tep_draw_form("f",FILENAME_REPORTS_DIRECT_DEPOSIT);
						echo '<input type="hidden" name="post_action" value="screen">';
				?>
				<table border="0" cellspacing="0" cellpadding="0" class="searchArea" width="100%">
							<tr>
						<td nowrap="true" width="30%"><?php $_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);?>
							<?php echo TEXT_FROM . '&nbsp;' . tep_draw_input_field("txt_start_date",format_date($date_begin),'maxlength="10" size="10"');?>
							<a href="javascript:show_calendar('f.txt_start_date',null,null,'<?php echo $date_format;?>');"
							onmouseover="window.status='Date Picker';return true;"
							onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
							</a>
						 </td>
						 <td nowrap="true" width="30%">
							<?php echo  TEXT_TO . '&nbsp;' . tep_draw_input_field("txt_end_date",format_date($date_end),'maxlength="10" size="10"');?>
							<a href="javascript:show_calendar('f.txt_end_date',null,null,'<?php echo $date_format;?>');"
							onmouseover="window.status='Date Picker';return true;"
							onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
							</a>
						 </td>
						 <td>
						 	<?php echo TEXT_ORDER_STATUS . '&nbsp;' . tep_draw_pull_down_menu('sel_status',$sel_status_array,$sel_status); ?>
						 </td>
						 
						<td valign="middle" align="left" rowspan="3">
							<?php echo '<a href="javascript:doReport(1);">' . tep_image_button('button_report_search.gif', IMAGE_SEARCH_DETAILS) . '</a>'; ?>
						</td>
					</tr>	
				<!-- report content -->
			</table>
			</form>
			<br>
			</td>
		</tr>
		<tr ><td class="cell_bg_report_header">&nbsp;</td></tr>
	<script language="JavaScript">
		function validateForm(frm){
			var err="";
			var element=frm.elements["chk_status[]"];
			if (element.length){
				for (icnt=0;icnt<element.length;icnt++){
					if (element[icnt].checked) break;
				}
				if (icnt>=element.length){
					err="<?php echo addslashes(stripslashes(ERR_SELECT_ORDER));?>";
				}
			} else {
				if (!element.checked){
					err="<?php echo addslashes(stripslashes(ERR_SELECT_ORDER));?>";
				}
			}
			if (err!="") {
				alert(err);
				return false;
			}
			return true;
		}
		function selectAll(){
			var element=document.change_status.elements["chk_status[]"];
			var status=document.change_status.chk_select.checked;
			if (element.length){
				for (icnt=0;icnt<element.length;icnt++){
					element[icnt].checked=status;
				}
			} else {
				element.checked=status;			
			}
		}
	</script>
	<?php if ($found_results) {
	?>
	<tr>
		<td>
			<table border="0" width="100%" cellspacing="0" cellpadding="2">
				<tr>
					<td class="smallText" align="left">
						<?php echo $query_split->display_links($query_split_numrows, REPORT_MAX_ROWS_PAGE, REPORT_MAX_LINKS_PAGE, $page,tep_get_report_params()); ?>&nbsp;
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<?php } ?>
	<tr>
		<td>
		   <table border="0" width="100%" cellspacing="1" cellpadding="1">
				<?php 
					if ($found_results) {
						echo tep_draw_form("change_status",FILENAME_REPORTS_DIRECT_DEPOSIT,'','post','onSubmit="javascript:return validateForm(this);"');
						//echo tep_get_report_params();
						echo '<input type="hidden" name="txt_start_date" value="' . $input_params['txt_start_date'] . '">';
						echo '<input type="hidden" name="txt_end_date" value="' . $input_params['txt_end_date'] . '">';
						echo '<input type="hidden" name="sel_status" value="' . $input_params['sel_status'] . '">';
						echo '<input type="hidden" name="post_action" value="change_status">';
						for ($icnt=0;$icnt<sizeof($db_result);$icnt++) {
							$sql_result=&$db_result[$icnt]["result"];
				?>
				
				<tr>
					<td><?php echo tep_draw_separator('pixel_trans.gif',1,5);?></td>
				</tr>
				<tr>
					<td>
					<table border="0" cellpadding="2" cellspacing="0" width="100%">
							<tr class='dataTableHeadingTitleRow'>
								<td class='dataTableHeadingTitleContent' width="30">&nbsp;</td>
								<td class='dataTableHeadingTitleContent' width="30"><?php echo TEXT_ID;?></td>
								<td class='dataTableHeadingTitleContent'><?php echo TEXT_CLIENT;?></td>
								<td class='dataTableHeadingTitleContent' width="100"><?php echo TEXT_STATUS;?></td>
								<td class='dataTableHeadingTitleContent' width="100" align="right"><?php echo TEXT_AMOUNT;?></td>
							</tr>
							<tr height="10"></tr>
		<?php
					$i=1;
					$prev_customer="";
					$total=0;
					$grand_total=0;
          			while($row = tep_db_fetch_array($sql_result)) {
					
					?>
					<?php $amount=tep_add_tax($row['final_price'],$row["products_tax"]);
						  $amount=tep_get_rounded_amount($amount);
						   if($disp_class=='dataTableRow')
						  	$disp_class='dataTableRowOver';
						  else
						  	$disp_class='dataTableRow';
					?>
						  <tr class='<?php echo $disp_class;?>' height="20">
						  		  <td class='dataTableContent'><?php echo tep_draw_checkbox_field('chk_status[]',$row["orders_id"]);?></td>
						    <span onClick="javascript:location.href='<?php echo tep_href_link(FILENAME_ORDERS,'oID=' . $row["orders_id"] . '&action=edit&return=dd');?>';">
								  <td class='dataTableContent' style="cursor:default;cursor:hand"><?php echo $i?></td>
								  <td class='dataTableContent' style="cursor:default;cursor:hand"><?php echo $row['customers_name']?></td>
								  <td class='dataTableContent' style="cursor:default;cursor:hand"><?php echo $order_status_array[$row['orders_status']];?></td>
								  <td class='dataTableContent' style="cursor:default;cursor:hand" align="right"><?php echo $currencies->format($amount);?></td>
							</span>	  
						  </tr> 
			<?php 
						$i++;
						$total+=$amount;
						$grand_total+=$amount;
						}
						/* if ($total>0) {
						?>
							<tr>
								<td class="dataTableContent" style="cursor:hand" colspan="4" align="right">
									<b><?php echo TEXT_TOTAL;?></b>
								</td>
								<td style="cursor:hand" align="right" class='dataTableContent'>
									<?php echo $currencies->format($total);
										$total=0;
									?>
								</td>
							</tr>
							<tr>
								<td colspan="6"><?php echo tep_draw_separator();?></td>
							</tr>
						<?php } */
						// total >0 
						if ($grand_total>0) {
						?>
							<tr>
								<td class="dataTableContent"  colspan="4" align="right">
									<b><?php echo TEXT_GRAND_TOTAL;?></b>
								</td>
								<td style="cursor:hand" align="right" class='dataTableContent'>
									<?php echo $currencies->format($grand_total);
									?>
								</td>
							</tr>
						<?php } // grand total >0 ?>
				</table>
				</td>
			</tr>
			<tr>
				<td><?php echo tep_draw_separator('pixel_trans.gif',1,5);?></td>
			</tr>
			<?php
					}
			?>
					<tr>
						<td class="main" valign="top">
							<?php  echo '<input type="checkbox" name="chk_select" value="1" onClick="javascript:selectAll();">&nbsp;' . TEXT_SELECT_ALL . '&nbsp;&nbsp;'; ?>
						</td>
					</tr>
					<tr>
						<td class="bottomLine"><?php echo tep_draw_separator('pixel_trans.gif',1,5);?></td>
					</tr>
					<tr height="5"></tr>
					<tr>
						<td class="main" valign="middle">
						<?php 
								echo tep_image_submit('button_change_status.gif',IMAGE_CHANGE_STATUS,'align=absmiddle') . '&nbsp;&nbsp;';
								echo tep_draw_pull_down_menu('new_status',$status_array);
						?>
						</td>
					</tr>
				</form>	
			<?php
				}
				else{
						echo '<tr><td class="main" align="center">' . TEXT_NO_RECORDS_FOUND . '</td></tr>';
				}
			?>
	</table>
	</TD>
	</tr>
</table>
</td>
</tr>
</table>
	<!-- footer //-->
	<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
	<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); 

?>